namespace mgaia.Utils.Review
{
    /// <summary>
    /// Gerenciador de review em stores externas
    /// </summary>
    /// <owner>Victor</owner>
    public static class ReviewManager
    {
        private static IReviewMethod sReviewMethod;

        /// <summary>
        /// Seta o método de review que vai ser utilizado
        /// </summary>
        public static void SetReviewMethod(IReviewMethod reviewMethod)
        {
            Assert.AssertTrue(reviewMethod != null, "reviewMethod tem que ser diferente de null!");

            sReviewMethod = reviewMethod;
        }

        /// <summary>
        /// Abre a intent de review
        /// </summary>
        public static void OpenIntent()
        {
            sReviewMethod.OpenIntent();
        }
    }
}